#include <stdio.h>
#include <ctype.h>
#include "mlist.h"

struct lang_info lang;

char unknown_esc[] = "???";

/* Subject */
char access_err[] = "\\p: Access denied";
char cfg_error[] = "\\p: Configuration error";
char copied_subj[] = "\\p: \\l-message was copied!";
char error[] = "\\p error";
char owner_msg[] = "\\p: Message for \\l list-owner";
char sub_err[] = "\\p: Subscribe error";
char subd[] = "\\p: Subscribed";
char syntax_err[] = "\\p: Syntax error";
char unsub_err[] = "\\p: Unsubscribe error";
char unsubed[] = "\\p: Unsubscribed";

/* Message body */
char address_missing[] = "To-field and/or BBS is missing.";
char alr_subd[] = "\\s is already subscribed to the `\\l' list.";
char copy_msg_hdr[] = "Message sent via \\l-list (\\p " VER " - PE1NTP)\\nReply-To: \\l @ \\b\\nList-Owner: \\o @ \\O\\nCommands-To: \\p @ \\b\\n";
char empty_body[] = "No commands found in message body.";
char list_noex[] = "The mailing-list `\\l' does not exist.";
char list_ro[] = "`\\l' is a read-only list! Contact \\o @ \\O for more info.";
char lowner[] = "\nList-owner: \\o @ \\O";
char lpriv[] = "`\\l' is a private list. Contact \\o @ \\O for more info.";
char lusers[] = "Users of the `\\l' list:\\n";
char msg_copied[] = "Your message entitled `\\t' was sent to the `\\l' list.";
char no_arg[] = "The command `\\c' requires a list-name as argument.";
char no_helpfile[] = "Sorry, no help file available.";
char not_subd[] = "\\s is not subscribed to the `\\l' list.";
char stopped_processing[] = "\\nEnd of commands.";
char subd_by_owner[] = "\\o @ \\O subscribed you to the \\l-list.";
char subscribe_ok[] = "Subscribed \\s @ \\S to the `\\l' list.\n";
char too_many_errors[] = "Too many errors. Bailing out.";
char tried_sub[] = "\\s @ \\S tried to subscribe to the `\\l' list.";
char tried_write[] = "\\s @ \\S tried to write a message to the `\\l' list.";
char unknown_cmd[] = "Unknown command.";
char unsub_ok[] = "Unsubscribed \\s from the `\\l' list.";
char unsubd_by_owner[] = "\\o @ \\O unsubscribed you from the \\l-list.";
char usr_subd[] = "\\s @ \\S subscribed to the `\\l' list";
char usr_unsubd[] = "\\s @ \\S unsubscribed from the `\\l' list";
char you_are_subd[] = "You are subscribed to the following lists:";
char you_are_subd_none[] = "You are not subscribed to any of the available lists";

void build_string(char *str, FILE *fp, int cr)
{
	int i;

	for (i = 0; str[i]; i++) {
		if (str[i] == '\\') {
			switch (str[++i]) {
			case 'b':	/* BBS callsign */
				fputs(bbs, fp);
				break;
			case 'c':	/* Currently processed command */
				fputs(lang.command, fp);
				break;
			case 'l':	/* Mailing-list name */
				fputs(lang.list, fp);
				break;
			case 'n':	/* linefeed */
				fputc('\n', fp);
				break;
			case 'o':	/* List-owner */
				fputs(lang.lst_owner, fp);
				break;
			case 'O':	/* List-owner's home-BBS */
				fputs(lang.owner_bbs, fp);
				break;
			case 'p':	/* Servername */
				fputs(prgname, fp);
				break;
			case 's':	/* Sender of the message */
				fputs(lang.sender, fp);
				break;
			case 'S':	/* Home-BBS of sender */
				fputs(lang.home, fp);
				break;
			case 't':	/* Title of the message */
				fputs(lang.subject, fp);
				break;
			default:
				fputc(str[i], fp);
			}
		}
		else
			fputc(str[i], fp);
	}
	if (cr)
		fputc('\n', fp);
}
